pkgetmask(1)

NAME
pkgetmask - program to create mask image based on values in input raster image

SYNOPSIS
pkgetmask
-i input -o output [options] [advanced options]

DESCRIPTION
pkgetmask creates a mask raster dataset from an input raster dataset. Values smaller than the minimum value (\FC-min\F[]) or larger than the maximum value (\FC-max\F[]) will result in a \FC-nodata\F[] value in the mask.

OPTIONS

\FC-i\F[] filename, \FC--input\F[] filename
    input image file

\FC-o\F[] filename, \FC--output\F[] filename
    Output mask file

\FC-min\F[] value, \FC--min\F[] value
    Values smaller than min threshold(s) are masked as invalid. Use one threshold for each band

\FC-max\F[] value, \FC--max\F[] value
    Values greater than max threshold(s) are masked as invalid. Use one threshold for each band

\FC-data\F[] value, \FC--data\F[] value
    value(s) for valid pixels: between min and max

\FC-nodata\F[] value, \FC--nodata\F[] value
    value(s) for invalid pixels: not between min and max

\FC-v\F[] level, \FC--verbose\F[] level
    verbose

Advanced options

\FC-b\F[] band, \FC--band\F[] band
    band(s) used for mask

\FC-p\F[] AND|OR, \FC--operator\F[] AND|OR
    Operator: [AND,OR].

\FC-ot\F[] type, \FC--otype\F[] type
    Data type for output image ({Byte / Int16 / UInt16 / UInt32 / Int32 / Float32 / Float64 / CInt16 / CInt32 / CFloat32 / CFloat64}). Empty string: inherit type from input image

\FC-of\F[] format, \FC--oformat\F[] format
    Output image format (see also gdal_translate(1)).

\FC-co\F[] option, \FC--co\F[] option
    Creation option for output file. Multiple options can be specified.

\FC-ct\F[] colortable, \FC--ct\F[] colortable
    color table (file with 5 columns: id R G B ALFA (0: transparent, 255: solid)).

EXAMPLE
create mask, setting all negative values to 0 (rest to 1)

\FC
pkgetmask -i input.tif -o output.tif -min 0 -nodata 0 -data 1
      \F[]

create mask. Mask is set to 0 (default value for \FC-nodata\F[]) if either band 0 is not between 0 and 10 OR (default operator) band 1 is not between 0 and 250. Else mask is set to 1 (default value for \FC-data\F[])

\FC
pkgetmask -i input.tif -o output.tif -min 0 -max 10 -max 0 -max 250 -b 0 -b 1
      \F[]